Subject: Re: bug#46502: 28.0.50; [feature/native-comp] (d3a399dd) native-comp bootstrap failure

From: Michael Welsh Duggan <[email-masked]>
Date: Thu, 18 Feb 2021 09:55:02 -0500

Andrea Corallo <[email-masked]> writes:

> Michael Welsh Duggan <[email-masked]> writes:
>
>> I decided to attempt building the native-comp feature branch, since it
>> seems like it may make it to mainline fairly soon.  When bootstrapping
>> with
>>
>>   make NATIVE_FULL_AOT=1 -j 32 bootstrap
>>
>> I get an error compiling gnus/gnus-icalendar.el.  I've put the log
>> below.  I've updated the emacs information from my running emacs below
>> to match the version of the repository from which I built.
>>
>>
>> In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0)
>>  of 2021-02-13 built on miko
>> Repository revision: d3a399dd299bf7e811cf42950d5f8ac67f063b36
>> Repository branch: native-comp
>> Windowing system distributor 'The X.Org Foundation', version 11.0.12010000
>> System Description: Debian GNU/Linux bullseye/sid
>>
>> Configured using:
>>  'configure --without-toolkit-scroll-bars --with-x-toolkit=lucid --with-nativecomp'
>>
>>
>> Debugger entered--Lisp error: (error "Lisp nesting exceeds ‘max-lisp-eval-depth’")
>
> Hi Michael,
>
> just tried compiling the current branch (f92bb788a0) following your
> configuration with no issues.  Could you retry on the current head maybe
> starting from a "git clean -xfd" to be on the safe side?

I do not encounter the problem compiling from the current branch head
(f92bb788a0).  Thank you.

-- 
Michael Welsh Duggan
([email-masked])